Summary:	GUI tool to help LiveJournal user post images
Name:		ljit
Version:	0.2.5
Release:	1
Source:		http://kir.vtx.ru/ljit/%{name}-%{version}.tar.gz
License:	GPL
URL:		http://kir.vtx.ru/ljit/
Group:		X11/Applications
Requires:	gtk2
Requires:	ImageMagick, openssh, curl
# setsid binary is in util-linux package
Requires:	util-linux
BuildPreReq:	gtk2-devel, curl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
This is a simple GUI-based tool to help lj user post images to his/her
LiveJournal. It merely uploads images to specified location and generates
HTML code to be inserted to LiveJournal entry. It can be used with LiveJournal
client (such as LogJam) or separately.

Features include:

 - GTK2 interface
 - ability to upload images via ftp or scp
 - resizing image before uploading
 - creating image thumbnail and a link to big-sized image
 - instant image preview while resizing

#%debug_package

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README TODO BUGS THANKS
%_bindir/ljit

%changelog
* Thu Sep 11 2003 Kir Kolyshkin <kir@sacred.ru>
- removed 'file' dependency as ljit doesn't use it since 0.2.4
- added instant image preview to feature list in %description

* Tue Sep  2 2003 Kir Kolyshkin <kir@sacred.ru>
- added requirement for util-linux (needed for setsid)

* Fri Aug 22 2003 Kir Kolyshkin <kir@sacred.ru>
- created
