/* config_file.h
 */
enum config_variable
{
	C_URL_PREFIX,
	C_THUMB_PREFIX,
	C_UPLOAD_PROTO,
	C_UPLOAD_USER,
	C_UPLOAD_PASS,
	C_UPLOAD_HOST,
	C_UPLOAD_PATH,
	C_IMG_WIDTH,
	C_IMG_HEIGHT,
	C_IMG_MAXISABS,
	C_IMG_FORMAT,
	C_TN_WIDTH,
	C_TN_HEIGHT,
	C_TN_MAXISABS,
	C_TN_FORMAT,
	C_PREVIEW_UPD_INT,
	/* Add more variables here */
	C_END
};


int init_config(void);
int set_config_defaults(char *config[]);
int read_config(char *config[]);
int write_config(char *config[]);
void set_config(char * dest_config[],
		char * src_config[]);
int free_config(char *config[]);
