#ifndef _IMGSIZE_H_
#define _IMGSIZE_H_
#include <gtk/gtk.h>

/*
typedef void (* spin_callback_p) (GtkSpinButton *, gpointer);
typedef void (* slider_callback_p) (GtkRange *, gpointer);
*/

struct imgsize
{
	/* original image size */
	int size_x;
	int size_y;
	/* image scale down value */
	double scale;
	/* scaled image size */
	int scaled_size_x;
	int scaled_size_y;
	/* GTK controls */
	GtkWidget * container;
	GtkRange * slider;
	GtkSpinButton * spin_x;
	GtkSpinButton * spin_y;
	GtkWidget * preview;
};

void rescale(struct imgsize *is, gdouble new_scale);
void set_image_size(struct imgsize *is, int x, int y);
GtkWidget *create_image_resizer(struct imgsize *is, GtkWidget * container);
void tscale_callback(GtkRange * range, gpointer ts);
 
#endif /* _IMGSIZE_H_ */
